Loading...
Searching...
No Matches
text Struct Reference

Storage for parsed orchestra code, for each opcode in an INSTRTXT. More...

`#include <csoundCore.h>`

## Data Fields

uint16_t | linenum
uint64_t | locn
OENTRY * | oentry
char * | opcod
ARGLST * | inlist
ARGLST * | outlist
ARG * | inArgs
unsigned int | inArgCount
ARG * | outArgs
unsigned int | outArgCount
char | intype
char | pftype

## Detailed Description

Storage for parsed orchestra code, for each opcode in an INSTRTXT.

## Field Documentation

## inArgCount

unsigned int text::inArgCount

## inArgs

ARG* text::inArgs

## inlist

ARGLST* text::inlist

## intype

char text::intype

## linenum

uint16_t text::linenum

## locn

uint64_t text::locn

## oentry

OENTRY* text::oentry

## opcod

char* text::opcod

## outArgCount

unsigned int text::outArgCount

## outArgs

ARG* text::outArgs

## outlist

ARGLST* text::outlist

## pftype

char text::pftype